<?
include 'config.php';
include 'func.php';
head();
ban();
aut();

echo head . 'Корсары' . div . katalog;
####################Запись онлайна##################
mysql_query("UPDATE `profile` SET `online` = 'korsar' WHERE `id` = '".$id_session."'");
####################################################
function img($msg){ 
  $img = "<img src='korsar_images/images/$msg' alt='' /> ";
return $img; 
};

function back($url){
  echo "</div><div class='menu_razd'><img src='korsar_images/images/13.png' alt='' /> <a href='?mod=$url'>Назад</a></div></div>";
return;
};

function div($text){
  echo "<div class='menu_razd'>$text</div>";
return;
};
function preg($a, $metod, $n){
 
 if ( $n == 1 ) $nabor = 'a-zA-Z0-9_'; else $nabor = '0-9';
 
 if ( $metod == 'POST')
  If (!isset($_POST[$a]) || !preg_match("!^[" . $nabor . "]+$!i",$_POST[$a])) $result = false; else $result = $_POST[$a]; 
 else
  If (!isset($_GET[$a]) || !preg_match("!^[" . $nabor . "]+$!i",$_GET[$a])) $result = false; else $result = $_GET[$a];
 
 if ( $a == 'num' and $result < 1 || $result > 5 ) $result = false;
 
return $result;
};

function f_time($t) {
$ch = floor( $t / (60 * 60) ); $m = floor( ($t - ($ch * 60 * 60) ) / 60 ); $s = $t - (  ( ($ch * 60 * 60) + ($m * 60) ) );
$time = '';
if ( $ch != 0 ) $time.= "<b>$ch</b> ч. ";
if ( $m != 0 ) $time.= "<b>$m</b> мин. ";
if ( $s != 0 ) $time.= "<b>$s</b> сек.";
if ( $ch < 0 ) $time = '<b>Время вышло</b>'; 
return $time;}

echo "<div class='page_foot'>";

$settings = mysql_fetch_array ( mysql_query ("SELECT * FROM `korsar_settings` WHERE `id` = '1' LIMIT 1"));

If (!isset($_GET['mod']) || !preg_match("!^[a-zA-Z0-9_]+$!i",$_GET['mod'])) $mod=false; else $mod=$_GET['mod'];

if ( mysql_num_rows ( mysql_query ("SELECT `user_id` FROM `korsar_user` WHERE `user_id` = '$user[id]'") )==1){
$info = mysql_fetch_array ( mysql_query ("SELECT * FROM `korsar_user` WHERE `user_id` = '$user[id]' LIMIT 1"));

} else {

mysql_query( "INSERT INTO `korsar_user` SET `gold` = '$settings[initial_gold]', `user_id` = '$user[id]', `login` = '$user[login]', `time` = '" . time() . "'");
echo "Вы начинаете свой путь торговца у вас всего $settings[initial_gold] золотых монет и корабль Тартана. Желаем вам удачи! <br />";
$info = mysql_fetch_array ( mysql_query ("SELECT * FROM `korsar_user` WHERE `user_id` = '$user[id]' LIMIT 1"));
}

if ( $info['time_karma'] > time() ){

if ( $mod != 'leaders' AND $mod != 'my_ship' AND $mod != 'stat' AND $mod != 'about_game' ) $mod = '';
$karma = 1;
} else $karma = 0;

if ( mysql_num_rows ( mysql_query ("SELECT `id` FROM `korsar_swim` WHERE `id_user` = '$info[id]'") )==1){
if ( $mod != 'leaders' AND $mod != 'my_ship' AND $mod != 'about_game' AND $mod != 'stat' ) $mod = '';

$swim_info = mysql_fetch_array ( mysql_query ("SELECT * FROM `korsar_swim` WHERE `id_user` = '$info[id]' LIMIT 1"));
if ( $swim_info['time_end'] < time() ) {
mysql_query( "DELETE FROM `korsar_swim` WHERE `id_user` = '$info[id]'" ); 
mysql_query( "UPDATE `korsar_user` SET `city` = '$swim_info[city]' WHERE `user_id` = '$user[id]' LIMIT 1");

} else $swim = 1;

} else $swim = 0;

if ( mysql_num_rows ( mysql_query ("SELECT `id` FROM `korsar_fishing` WHERE `id_user` = '$info[id]'") )==1){

if ( $mod != 'leaders' AND $mod != 'my_ship' AND $mod != 'fishing_cancel'  AND $mod != 'stat' AND $mod != 'about_game' ) $mod = '';

$fishing_info = mysql_fetch_array ( mysql_query ("SELECT * FROM `korsar_fishing` WHERE `id_user` = '$info[id]' LIMIT 1"));

if ( $fishing_info['time'] < time() ) {

mysql_query( "DELETE FROM `korsar_fishing` WHERE `id_user` = '$info[id]'" ); 
$kol = rand(10, 100);
$ship = mysql_fetch_array ( mysql_query ("SELECT * FROM `korsar_ship` WHERE `name` = '$info[ship]' LIMIT 1"));
$info_kol_r =  $info['tree'] + $info['wood'] + $info['iron'] + $info['fabric'] + $info['silver'] + $info['charcoal'];    

if ( $ship['strength'] - $info_kol_r >= $kol ) 
$kol_k = $kol;
else 
$kol_k = $ship['strength'] - $info_kol_r;

mysql_query( "UPDATE `korsar_user` SET `wood` = `wood` + '$kol_k' WHERE `user_id` = '$user[id]' LIMIT 1");
echo "Вы вернулись с рыбалки. В ваш трюм добавленно <b>$kol_k</b> ед. еды. <br />";

} else $fishing = 1;

} else $fishing = 0;

if ( mysql_num_rows ( mysql_query ("SELECT `id` FROM `korsar_treasures` WHERE `id_user` = '$info[id]'") )==1){
if ( $mod != 'leaders' AND $mod != 'my_ship'  AND $mod != 'stat' AND $mod != 'treasures_cancel' AND $mod != 'about_game' ) $mod = '';

$korsar_treasures_info = mysql_fetch_array ( mysql_query ("SELECT * FROM `korsar_treasures` WHERE `id_user` = '$info[id]' LIMIT 1"));
if ( $korsar_treasures_info['time'] < time() ) {

mysql_query( "DELETE FROM `korsar_treasures` WHERE `id_user` = '$info[id]'" ); 

$kub = rand(1,5);
if ( $kub == 1 ) {

$kol = rand(500, 8000);
mysql_query( "UPDATE `korsar_user` SET `gold` = `gold` + '$kol' WHERE `user_id` = '$user[id]' LIMIT 1");
echo "Вы нашли сокровище и заработали на нем <b>$kol</b> золотых. <br />";

} else {

echo "Вы вернулись и не чего не нашли. <br />";

}

} else $treasures = 1;

} else $treasures = 0;

switch ($mod) {

case 'sklad_buy':
If (!isset($_POST['product']) || !preg_match("!^[a-zA-Z]+$!i",$_POST['product'])) $product=false; else $product=$_POST['product'];
If (!isset($_POST['kol']) || !preg_match("!^[0-9]+$!i",$_POST['kol'])) $kol=false; else $kol=abs(ceil($_POST['kol']));
If (!isset($_POST['operation']) || !preg_match("!^[a-zA-Z]+$!i",$_POST['operation'])) $operation=false; else $operation=$_POST['operation'];
div('Склад');
$array = array('tree', 'wood', 'iron', 'fabric', 'silver', 'charcoal');

if ( $product != false and $kol != false and $operation != false and $kol > 0 and in_array($product, $array))
{
$p = array ("tree"=>"дерева", "wood"=>"еды", "iron"=>"железа", "fabric"=>"угля", "silver"=>"ткани", "charcoal"=>"серебра",);
$city = mysql_fetch_array ( mysql_query ("SELECT * FROM `korsar_city` WHERE `name` = '$info[city]' LIMIT 1"));

if ( $operation == 'buy') {
$ship_info = mysql_fetch_array ( mysql_query ("SELECT * FROM `korsar_ship` WHERE `name` = '$info[ship]' LIMIT 1"));
$c = $info['tree']+$info['wood']+$info['iron']+$info['fabric']+$info['silver']+$info['charcoal'];

if ( $ship_info['capacity'] - $c < $kol )
$kol = $ship_info['capacity'] - $c;

if ( $info['gold'] >= $city['sale_'.$product] * $kol ) {
mysql_query( "UPDATE `korsar_user` SET `gold` = `gold` - '" . ($city['sale_'.$product] * $kol) . "', `$product` = `$product` + '$kol' WHERE `user_id` = '$user[id]'" );
echo "Вы преобрели $kol ед. " . $p[$product] . " потратив при этом " . ($city['sale_'.$product] * $kol) . " золота.";

} else echo "Не достаточно " . ($city['sale_'.$product] * $kol - $info['gold']) . " золотых монет.";

} elseif ( $operation == 'sell') {

if ( $info[$product] >= $kol) {
mysql_query( "UPDATE `korsar_user` SET `gold` = `gold` + '" . ($city['purchase_'.$product] * $kol) . "', `$product` = '$product' - '$kol' WHERE `user_id` = '$user[id]'" );
echo "Вы продали $kol ед. " . $p[$product] . " получив при этом " . ($city['purchase_'.$product] * $kol) . " золота.";

} else echo "У вас нет такова количества " . $p[$product] . ".";
} else echo "ОШИБКА! Вернитесь на <a href='?'>главную</a> страницу <br />";
} else echo "ОШИБКА! Вернитесь на <a href='?'>главную</a> страницу <br />";
back('sklad');
break;

case 'sklad_product':
If (!isset($_GET['product']) || !preg_match("!^[a-zA-Z]+$!i",$_GET['product'])) $product=false; else $product=$_GET['product'];
$array = array('tree', 'wood', 'iron', 'fabric', 'silver', 'charcoal');

if (in_array($product, $array)) {
$city = mysql_fetch_array ( mysql_query ("SELECT * FROM `korsar_city` WHERE `name` = '$info[city]' LIMIT 1"));
div('Склад');
$p = array ("tree"=>"дерево", "wood"=>"еда", "iron"=>"железо", "fabric"=>"уголь", "silver"=>"ткань", "charcoal"=>"серебро",);
echo "<b>Товар</b>: " . $p[$product] . " <br />
Продажа " . $city['sale_'.$product] . " золота за ед. <br /> 
Покупка " . $city['purchase_'.$product] . " золота за ед. <br />
В наличии <b>" . $info[$product] . "</b> ед. <br />
<form action='?mod=sklad_buy' method='post'>
Кол: <br />
<input type='text' name='kol' maxlength='30' /> <br />
<input type='radio' name='operation' value='buy' checked='checked' />Купить <br /> 
<input type='radio' name='operation' value='sell' />Продать <br />
<input type='hidden' name='product' value='$product' />
<input type='submit' value='Выполнить' /></form>";
back('sklad');
} else {

echo "ОШИБКА! Такова товара не существует! Вернитесь на <a href='?'>главную</a> страницу <br />";
}

break;

case 'sklad':
$city = mysql_fetch_array ( mysql_query ("SELECT * FROM `korsar_city` WHERE `name` = '$info[city]' LIMIT 1"));
div('Склад');
echo "<small>Название продажа / скупка [в наличии у вас]</small><br />
" . img('14.gif') . "<a href='?mod=sklad_product&amp;product=tree'>Дерево</a> $city[sale_tree] / $city[purchase_tree] [$info[tree]] <br />
" . img('19.gif') . "<a href='?mod=sklad_product&amp;product=wood'>Еда</a> $city[sale_wood] / $city[purchase_wood] [$info[wood]] <br />
" . img('15.png') . "<a href='?mod=sklad_product&amp;product=iron'>Железо</a> $city[sale_iron] / $city[purchase_iron] [$info[iron]] <br />
" . img('17.png') . "<a href='?mod=sklad_product&amp;product=fabric'>Уголь</a> $city[sale_fabric] / $city[purchase_fabric] [$info[fabric]] <br />
" . img('20.gif') . "<a href='?mod=sklad_product&amp;product=silver'>Ткань</a> $city[sale_silver] / $city[purchase_silver] [$info[silver]] <br />
" . img('16.png') . "<a href='?mod=sklad_product&amp;product=charcoal'>Серебро</a> $city[sale_charcoal] / $city[purchase_charcoal] [$info[charcoal]] <br />";
back('');
break;

case 'boy_ship':
If (!isset($_GET['id']) || !preg_match("!^[0-9]+$!i",$_GET['id'])) $id=false; else $id=$_GET['id'];
div('Гавань');
$ship_user = mysql_fetch_array ( mysql_query ("SELECT * FROM `korsar_ship` WHERE `name` = '$info[ship]' LIMIT 1"));
$ship_info = mysql_fetch_array ( mysql_query ("SELECT * FROM `korsar_ship` WHERE `id` = '$id' LIMIT 1"));
$gold = $ship_user['cost'] - ($ship_user['cost']/100*20);

if ( $info['gold'] + $gold > $ship_info['cost'] ){
$gold_boy = $ship_info['cost'] - $gold;
mysql_query( "UPDATE `korsar_user` SET `gold` = `gold` - '$gold_boy', `ship` = '$ship_info[name]', `strength_ship` = '$ship_info[strength]', `number_of_guns` = '0' WHERE `user_id` = '$user[id]'" );
echo "Вы успешно преобрели $ship_info[name] за $ship_info[cost] золота. <br />
При этои вы продали свой старый корабль за <b>$gold</b> золота. <br /> ";

} else {

echo "У вас недостаточно золота!<br/>
У вас на руках <b>$info[gold]</b> золота и стоимость продажи корабля <b>$gold</b> золота. <br />
Не хвотает <b>" . ( $ship_info['cost'] - ( $info['gold'] + $gold ) ) . "</b> золота. <br />";
}
back('port_info_ship&amp;id=' . $id);
break;

case 'port_info_ship':
If (!isset($_GET['id']) || !preg_match("!^[0-9]+$!i",$_GET['id'])) $id=false; else $id=$_GET['id'];
if ( mysql_num_rows ( mysql_query ("SELECT * FROM `korsar_ship` WHERE `id` = '$id'") )==0){
echo "ОШИБКА! Такова корабля не существуе! Вернитесь на <a href='?'>главную</a> страницу <br />";

} else {

$ship_info = mysql_fetch_array ( mysql_query ("SELECT * FROM `korsar_ship` WHERE `id` = '$id' LIMIT 1"));
div('Корабль: ' . $ship_info['name']);
echo "<img src='korsar_images/$ship_info[scrin]' alt='' /> <br />
<b>Инфо:</b> <br />
" . img('22.gif') . "Прочность: $ship_info[strength] <br />
" . img('22.gif') . "Колличество орудий: $ship_info[number_of_guns] <br />
" . img('22.gif') . "Вместимость: $ship_info[capacity]<br />
" . img('22.gif') . "Скорость: $ship_info[speed] <br />
" . img('22.gif') . "Ранг: $ship_info[lvl] <br />
" . img('22.gif') . "Стоимость: $ship_info[cost] (у вас $info[gold]) <br />
" . img('18.png') . "<a href='?mod=boy_ship&amp;id=$id'>Купить</a>* <br />
*Ваш корабль будет автоматически продан.";
back('port_buy_ship');
}
break;

case 'port_buy_ship':
div('Гавань');
$ship = mysql_query("SELECT * FROM `korsar_ship`");

while ( $ship_info = mysql_fetch_array ( $ship ) )
 echo img('11.gif') . "<a href='?mod=port_info_ship&amp;id=$ship_info[id]'>".win2utf($ship_info[name])."</a> ($ship_info[cost] золота) <br />";

back('port');
break;

case 'repair':
$ship = mysql_fetch_array ( mysql_query ("SELECT * FROM `korsar_ship` WHERE `name` = '$info[ship]' LIMIT 1"));
div('Гавань');
if (isset($_GET['repair']) AND $_GET['repair'] == ''){
if ( $info['gold'] >= ceil( ($ship['strength'] - $info['strength_ship']) * 0.5 )) {
mysql_query( "UPDATE `korsar_user` SET `gold` = `gold` - '" . ceil( ($ship['strength'] - $info['strength_ship']) * 0.5 ) . "', `strength_ship` = '$ship[strength]' WHERE `user_id` = '$user[id]'" );
echo "Вы отремонтировали свой корабль! <br />";

} else { echo "Не достаточно золота. <br />";}

}
echo img('11.gif') . "Корабль: ".win2utf($info[ship])." <br />
" . img('22.gif') . "Прочность: $info[strength_ship] / $ship[strength] <br />
" . img('22.gif') . "Стоимость ремонта: " . ceil( ($ship['strength'] - $info['strength_ship']) * 0.5 ) . " золота. <br />
" . img('23.png') . "<a href='?mod=repair&amp;repair'>Ремонтировать</a>";
back('port');
break;

case 'gun_buy':
If (!isset($_POST['kol']) || !preg_match("!^[0-9]+$!i",$_POST['kol'])) $kol=false; else $kol=ceil($_POST['kol']);

$ship = mysql_fetch_array ( mysql_query ("SELECT * FROM `korsar_ship` WHERE `name` = '$info[ship]' LIMIT 1"));
div('Гавань');

if (isset($kol)) {
if ( $info['number_of_guns'] + $kol > $ship['number_of_guns'] ) $kol = $ship['number_of_guns'] - $info['number_of_guns'];
mysql_query( "UPDATE `korsar_user` SET `gold` = `gold` - '" . ( $kol * $settings['gun_gold'] ) . "', `number_of_guns` = 'number_of_guns' + '$kol' WHERE `user_id` = '$user[id]'" );
echo "Вы установили $kol орудий потратив при этом " . ($kol * $settings['gun_gold']) . " золота. <br />";

} else echo "Ошибка! Вернитесь назад. <br />";

back('port');
break;

case 'gun':
$ship = mysql_fetch_array ( mysql_query ("SELECT * FROM `korsar_ship` WHERE `name`= '$info[ship]' LIMIT 1"));
div('Гавань');
echo img('11.gif') . "Корабль: ".win2utf($info[ship])." <br />
" . img('22.gif') . "Колличество орудий: $info[number_of_guns] / $ship[number_of_guns] <br />
" . img('22.gif') . "Стоимость орудия: $settings[gun_gold] золота <br />";

if ( $info['number_of_guns'] != $ship['number_of_guns'] ) {
echo "<form action='?mod=gun_buy' method='post'>
Кол. устанавливаемых орудий: <br />
<input type='text' name='kol' maxlength='30' /> <br />
<input type='submit' value='Установить' /></form>";

} else echo "Уже установленно максимальное число орудий. <br />";    
   
back('port');
break;

case 'port':
div('Гавань');
echo img('22.gif') . "<a href='?mod=port_buy_ship'>Купить корабль</a> <br />
" . img('22.gif') . "<a href='?mod=repair'>Ремонт корабля</a> <br />
" . img('22.gif') . "<a href='?mod=gun'>Вооружение корабля</a>";
back('');
break;

case 'my_ship':
$ship = mysql_fetch_array ( mysql_query ("SELECT * FROM `korsar_ship` WHERE `name` = '$info[ship]' LIMIT 1"));
div('Корабль: ' . win2utf($info['ship']));
echo "<img src='korsar_images/$ship[scrin]' alt='' /> <br />
<b>Инфо:</b> <br />
" . img('22.gif') . "Прочность: $info[strength_ship] / $ship[strength] <br />
" . img('22.gif') . "Колличество орудий: $info[number_of_guns] / $ship[number_of_guns] <br />
" . img('22.gif') . "Вместимость: " . ($info['tree']+$info['wood']+$info['iron']+$info['fabric']+$info['silver']+$info['charcoal']) . '/' . $ship['capacity'] . " <br />
" . img('22.gif') . "Скорость: $ship[speed] <br />
" . img('22.gif') . "Ранг: $ship[lvl] <br />
" . img('22.gif') . "Стоимость: $ship[cost] <br />
<b>Груз</b> <br />
" . img('14.gif') . "Дерево: $info[tree] <br />
" . img('19.gif') . "Еда: $info[wood] <br />
" . img('15.png') . "Железо: $info[iron] <br />
" . img('17.png') . "Уголь: $info[fabric] <br />
" . img('20.gif') . "Ткань: $info[silver] <br />
" . img('16.png') . "Серебро: $info[charcoal]";
back('');
break;

case 'bank':
div('Банк');
if (isset($_GET['raise']) AND $_GET['raise'] == ''){
if ( mysql_num_rows ( mysql_query ("SELECT `user_id` FROM `korsar_bank` WHERE `user_id` = '$user[id]'") )==1){
$bank = mysql_fetch_array ( mysql_query ("SELECT * FROM `korsar_bank` WHERE `user_id` = '$user[id]' LIMIT 1"));
if ( $bank['time'] - time() < 0 ){
mysql_query( "UPDATE `korsar_user` SET `gold` = `gold` + '" . ( $bank['gold'] / 100 * $settings['bank'] + $bank['gold'] ) . "' WHERE `user_id` = '$user[id]'" );
mysql_query( "DELETE FROM `korsar_bank` WHERE `user_id` = '$user[id]'" ); 
echo "Вы успешно сняли " . ( $bank['gold'] / 100 * $settings['bank'] + $bank['gold'] ) . " золота. <br />";
}
}
}
if (isset($_GET['contribution']) AND $_GET['contribution'] == ''){
if ( mysql_num_rows ( mysql_query ("SELECT `user_id` FROM `korsar_bank` WHERE `user_id` = '$user[id]'") )==0){
If (!isset($_POST['kol']) || !preg_match("!^[0-9]+$!i",$_POST['kol'])) $kol=false; else $kol= abs ( ceil($_POST['kol']) );
if ( $kol != false ) {
if ( $info['gold'] >= $kol ) {
mysql_query( "UPDATE `korsar_user` SET `gold` = `gold` - '$kol' WHERE `user_id` = '$user[id]'" );
mysql_query( "INSERT INTO `korsar_bank` SET `user_id` = '$user[id]', `gold` = '$kol', time = '" . ( time() + 60 * 60 * 24 ) . "'");
echo "Вы успешно сделали вклад на сумму <b>$kol</b> золотых. <br />";
} else echo "Недостаточно золота. <br />";
} else echo "Не верная сумма! <br />";

}
}

if ( mysql_num_rows ( mysql_query ("SELECT `user_id` FROM `korsar_bank` WHERE `user_id` = '$user[id]'") )==0){
echo "Сделать вклад <br />
<form action='?mod=bank&amp;contribution' method='post'>
Кол. золота: <br />
<input type='text' name='kol' maxlength='30' /> <br />
<input type='submit' value='Сделать' /></form>";

echo "<br /> * Вклад делается на 24 часа. По истечению срока вы можите забрать свои деньги с процентами ($settings[bank]%). Снять вклад можно в любом банке. <br />";

} else {

$bank = mysql_fetch_array ( mysql_query ("SELECT * FROM `korsar_bank` WHERE `user_id` = '$user[id]' LIMIT 1"));
echo "Ваш вклад <b>$bank[gold]</b> золотых. <br />";

if ( $bank['time'] - time() <= 0 ) $time =  '<a href="?mod=bank&amp;raise">снять</a>'; else $time = f_time($bank['time'] - time());
echo "Время до снятия вложения: <b>$time</b> <br />";
echo "Сумма для снятия: <b>" . (($bank['gold'] / 100) * $settings['bank'] + $bank['gold']) . "</b> <br />";
}
back('');
break;

case 'leaders':
div('Лидеры');
$max_gold= mysql_result(mysql_query("SELECT MAX(gold) FROM `korsar_user`"), 0);
$user_info = mysql_fetch_array ( mysql_query ("SELECT * FROM `korsar_user` WHERE `gold` = '$max_gold' LIMIT 1"));
echo img('26.png') ."Самый богатый: $user_info[login] [$user_info[gold]]<br />";

back('');
break;

case 'swim_go':
div('Плавание');
If (!isset($_GET['id']) || !preg_match("!^[0-9]+$!i",$_GET['id'])) $id=false; else $id=abs(ceil($_GET['id']));
if ( $id != false ) {
if ( mysql_num_rows ( mysql_query ("SELECT `id` FROM `korsar_city` WHERE `id` = '$id'") )==1){

$fort = mysql_fetch_array ( mysql_query ("SELECT * FROM `korsar_city` WHERE `name` = '$info[city]' LIMIT 1"));
$ship = mysql_fetch_array ( mysql_query ("SELECT * FROM `korsar_ship` WHERE `name` = '$info[ship]' LIMIT 1"));
$port = mysql_fetch_array ( mysql_query("SELECT * FROM `korsar_city` WHERE `id` = '$id' LIMIT 1"));

$distance = $port['distance'] - $fort['distance'];
$time = ceil($distance / $ship['speed'] * 60);

if ( $time < 0) $time = $time * -1;

mysql_query( "INSERT INTO `korsar_swim` SET `id_user` = '$info[id]', `city` = '$port[name]', `time` = '" . time() . "', `time_end` = '" . ( time() + ( $time * 60 ) ) . "'");
echo "Вы выплали в форт $port[name]. Прибудите туда через $time мин.";


} else echo "Ошибка! Вернитесь <b><a href='?mod=swim'>назад</a></b> <br />";
} else echo "Ошибка! Вернитесь <b><a href='?mod=swim'>назад</a></b> <br />";

back('');
break;

case 'swim':
div('Плавание');
echo "<b>Выбор форта:</b> <br />";

$fort = mysql_fetch_array ( mysql_query ("SELECT * FROM `korsar_city` WHERE `name` = '$info[city]' LIMIT 1"));
$ship = mysql_fetch_array ( mysql_query ("SELECT * FROM `korsar_ship` WHERE `name` = '$info[ship]' LIMIT 1"));

$port = mysql_query("SELECT * FROM `korsar_city`");
while ( $port_info = mysql_fetch_array ( $port ) )
{
$distance = $port_info['distance'] - $fort['distance'];
$time = ceil($distance / $ship['speed'] * 60);
if ( $time < 0) $time = $time * -1;
if ( $info['city'] != $port_info['name'] )
echo img('2.gif') . "<a href='?mod=swim_go&amp;id=$port_info[id]'>".win2utf($port_info[name])."</a> [<b>$time мин.</b>] <br />";
}

back('ship');
break;

case 'pirate_attack':
div('Пиратство');
if ( $info['number_of_guns'] <= 0 ) {

echo "Перед тем как наподать на другие корабли необходимо установить пушки.";

} elseif ( $info['tree'] > 0 || $info['wood'] > 0 || $info['iron'] > 0 || $info['fabric'] > 0 || $info['silver'] > 0 || $info['charcoal'] > 0 ) {
echo "Перед тем как гнаться за кораблями нужно освободить свои трюмы иначе вы не одного корабля не догоните. <br />";

} else {

If (!isset($_GET['id']) || !preg_match("!^[0-9]+$!i",$_GET['id'])) $id=false; else $id=abs(ceil($_GET['id']));
if ( mysql_num_rows ( mysql_query ("SELECT `id` FROM `korsar_user` WHERE `id` = '$id'") )==1){
if ( mysql_num_rows ( mysql_query ("SELECT * FROM `korsar_swim` WHERE `id_user` = '$id' AND `city` = '$info[city]'") )==1){

$enemy = mysql_fetch_array ( mysql_query ("SELECT * FROM `korsar_user` WHERE `id` = '$id'"));

if ( $enemy['time_attack'] > time() ) {
echo "Этот корабль уже был атакован.";

} elseif ( $info['time_pirate'] > time()  ) {

echo "Вы сможите напасть не раньше чем через " . ceil( ( $info['time_pirate'] - time() ) / 60 ) . " мин.";

} else {

$enemy_ship = mysql_fetch_array ( mysql_query ("SELECT * FROM `korsar_ship` WHERE `name` = '$enemy[ship]'"));
$info_ship = mysql_fetch_array ( mysql_query ("SELECT * FROM `korsar_ship` WHERE `name` = '$info[ship]'"));
$karma = $info_ship['lvl'] - $enemy_ship['lvl'];
if ( $karma < 0 ) $karma = 0;

mysql_query( "UPDATE `korsar_user` SET `time_pirate` = '" . ( time() + 60 * 60 * $settings['pirate_time'] ) . "' WHERE `user_id` = '$user[id]'" );
mysql_query( "UPDATE `korsar_user` SET `time_karma` = '" . ( time() + 60 * 60 * ( $settings['karma_time'] + $karma ) ) . "' WHERE `user_id` = '$user[id]'" );
mysql_query( "UPDATE `korsar_user` SET `time_attack` = '" . ( time() + 60 * 60 * $settings['attack_time'] ) . "' WHERE `id` = '$id'" );

$guns_1 = $info['number_of_guns'];
$strength_1 = $info['strength_ship'];

$guns_2 = $enemy['number_of_guns'];
$strength_2 = $enemy['strength_ship'];

$final = TRUE;

for ($i=1; $final == TRUE; $i++)
{
$strength_1 = $strength_1 - rand ($guns_2, $guns_2 * 3);

$strength_2 = $strength_2 - rand ($guns_1, $guns_1 * 3);
if ( $strength_1 <= 0 ) {
echo "Вы проиграли! <br />";
$final = FALSE;

} else if ( $strength_2 <= 0 ) {
echo "Вы выйграли! <br />";
$final = FALSE;

$ship = mysql_fetch_array ( mysql_query ("SELECT * FROM `korsar_ship` WHERE `name` = '$info[ship]' LIMIT 1"));
$kol =  ceil($ship['strength'] / 6);

mysql_query( "UPDATE `korsar_user` SET `tree` = `tree` + '$enemy[tree]', `wood` = `wood` + '$enemy[wood]', `iron` = `iron` + '$enemy[iron]', `fabric` = `fabric` + '$enemy[fabric]', `silver` = `silver` + '$enemy[silver]',  `charcoal` = `charcoal` + '$enemy[charcoal]'  WHERE `user_id` = '$user[id]'" );
mysql_query( "UPDATE `korsar_user` SET `tree` = '0', `wood` = '0', `iron` = '0', `fabric` = '0', `silver` = '0',  `charcoal` = '0'  WHERE `id` = '$id'" );

echo "При этом украли ресурсы: <br />
Дерево: $enemy[tree] <br />
Еда: $enemy[wood] <br />
Железо: $enemy[iron] <br />
Уголь: $enemy[fabric] <br />
Ткань: $enemy[silver] <br />
Серебро: $enemy[charcoal]";
}
}
mysql_query( "UPDATE `korsar_user` SET `strength_ship` = '$strength_1' WHERE `user_id` = '$user[id]'" );
mysql_query( "UPDATE `korsar_user` SET `strength_ship` = '$strength_2' WHERE `id` = '$id'" );
}
} else echo "Ошибка! Этот корабль плывет в другое напровление.";
} else echo "Ошибка! Такова пользователя не существует.";
}
back('');
break;

case 'pirate':
div('Пиратство');
if ( $info['tree'] > 0 || $info['wood'] > 0 || $info['iron'] > 0 || $info['fabric'] > 0 || $info['silver'] > 0 || $info['charcoal'] > 0 ) {
echo "Перед тем как гнаться за кораблями нужно освободить свои трюмы иначе вы не одного корабля не догоните. <br />";

} elseif ( $info['number_of_guns'] <= 0 ) {

echo "Перед тем как наподать на другие корабли необходимо установить пушки.";

} else {
echo "<b>Корабли вокруг форта </b> [$info[city]] <br />";

$user = mysql_query("SELECT * FROM `korsar_swim` WHERE `city` = '$info[city]'");
if (  mysql_num_rows ($user) == 0 ) {
echo "Нет кораблей. <br />";

} else {

while ( $user_info = mysql_fetch_array ( $user ) ) 
{
$p = mysql_fetch_array ( mysql_query ("SELECT * FROM `korsar_user` WHERE `id` = '$user_info[id_user]' LIMIT 1"));
$u = mysql_fetch_array ( mysql_query ("SELECT * FROM `user` WHERE `id` = '$p[user_id]' LIMIT 1"));
echo img('11.gif') . "$u[nick] [$p[ship]] <a href='?mod=pirate_attack&amp;id=$p[id]'>[напасть]</a> <br />";
}

}
}
back('ship');
break;

case 'fishing_cancel':
mysql_query( "DELETE FROM `korsar_fishing` WHERE `id_user` = '$info[id]'" ); 
div('Рыбалка');
echo "Вы вернулись в форт.";
back('');
break;

case 'fishing':
div('Рыбалка');
echo "Вы ушли на рыбалку и вернетесь через $settings[fishing_time] мин.";
back('');
mysql_query( "INSERT INTO `korsar_fishing` SET `id_user` = '$user[id]', `time` = '" . ( time() + 60 * $settings['fishing_time'] ) . "'");
break;

case 'treasures':
div('Поиск сокровищ');
if ( $info['treasures_map'] == 0 ) {
echo "У вас нету карты! зайдите в таверну и купите карту сокровищ.";

} else {

mysql_query( "INSERT INTO `korsar_treasures` SET `id_user` = '$user[id]', `time` = '" . ( time() + 60 * $settings['treasures_time'] ) . "'");
mysql_query( "UPDATE `korsar_user` SET `treasures_map` = `treasures_map` - '1' WHERE `user_id` = '$user[id]'" );

echo "Вы отправились на поиски сокровищ и вернетесь через " . ( $settings['treasures_time'] / 60 ) . " мин.";
}
back('');
break;

case 'treasures_cancel':
mysql_query( "DELETE FROM `korsar_treasures` WHERE `id_user` = '$info[id]'" ); 
div('Поиск сокровищ');
echo "Вы вернулись в форт.";
back('');
break;

case 'ship':
div('Мой корабль');
echo img('12.gif') . "<a href='?mod=swim'>Плыть в другой форт</a> <br />
" . img('10.gif') . "<a href='?mod=pirate'>Заняться пиратством</a> <br />
" . img('19.gif') . "<a href='?mod=fishing'>Пойти на рыбалку</a> <br />
" . img('27.png') . "<a href='?mod=treasures'>Отправиться за сокровищами</a>";
back('');
break;

case 'thimble':
div('Таверна');
echo "Игра в наперстки <br />
У вас <b>$info[gold]</b> золота<br/>";
if (isset($_GET['go']) AND $_GET['go'] == ''){
If (!isset($_POST['kol']) || !preg_match("!^[0-9]+$!i",$_POST['kol'])) $kol=false; else $kol= abs ( ceil($_POST['kol']) );
If (!isset($_POST['t']) || !preg_match("!^[0-9]+$!i",$_POST['t'])) $t=false; else $t=abs(ceil($_POST['t']));
if (  $info['gold'] >= $kol ) {
if ( $kol != false AND $t != false ) {
$p = rand(1,3);
if ( $t == $p ) {

echo "Вы угодали и выйграли <b>$kol</b> золота. <br />";
mysql_query( "UPDATE `korsar_user` SET `gold` = `gold` + '$kol' WHERE `user_id` = '$user[id]'" );

} else {

echo "Вы не угодали и проиграли <b>$kol</b> золота. <br />";
mysql_query( "UPDATE `korsar_user` SET `gold` = `gold` - '$kol' WHERE `user_id` = '$user[id]'" );

}

} else echo "Не верная ставка. <br />";
} else echo "Недостаточно золота. <br />";
}
echo "<form action='?mod=thimble&amp;go' method='post'>
Ставка: <br />
<input type='text' name='kol' maxlength='30' /> <br />
<input type='radio' name='t' value='1' checked='checked' />Левый <br /> 
<input type='radio' name='t' value='2' />Средний <br />
<input type='radio' name='t' value='3' />Правый <br />
<input type='submit' value='Играть' /></form>";
back('tavern');
break;

case 'tavern';
div('Таверна');

if (isset($_GET['rum']) AND $_GET['rum'] == ''){
mysql_query( "UPDATE `korsar_user` SET `gold` = `gold` - '10' WHERE `user_id` = '$user[id]'" );
echo "<b>Вы выпили рома.</b> <br />";
}

if (isset($_GET['map']) AND $_GET['map'] == ''){
mysql_query( "UPDATE `korsar_user` SET `gold` = `gold` - '$settings[maps_gold]', `treasures_map` = `treasures_map` + '1' WHERE `user_id` = '$user[id]'" );
echo "<b>Вы купили карту сокровищ за $settings[maps_gold] золотых.</b> <br />
У вас теперь " . ( $info['treasures_map'] + 1 ) . " карт. <br />";
}

echo img('6.gif') . "<a href='?mod=tavern&amp;rum'>Выпить рома</a> [10 золота] <br />
" . img('25.gif') . "<a href='?mod=thimble'>Сыграть в наперстки</a> <br />
" . img('24.gif') . "<a href='?mod=tavern&amp;map'>Купить карту сокровищ</a> [$settings[maps_gold] золотых]";
back('');
break;

case 'about_game':
div('Об игре');
echo "Название: <b>Корсары</b> <br />
Версия: <b>1.4</b> <br />
Разработчик: <b>Klesh</b> ICQ: 419 502 384 <br />";
back('');
break;

case 'stat':
$kol_swim =  mysql_num_rows ( mysql_query ("SELECT * FROM `korsar_swim`") );
$kol_fishing =  mysql_num_rows ( mysql_query ("SELECT * FROM `korsar_fishing`") );
$kol_treasures =  mysql_num_rows ( mysql_query ("SELECT * FROM `korsar_treasures`") );
div('Статистика');
echo img('22.gif') . "Плывут в другой форт: <b>$kol_swim</b> <br />
" . img('22.gif') . "Рыбачат: <b>$kol_fishing</b> <br />
" . img('22.gif') . "Ищут сокровища: <b>$kol_treasures</b>";
back('');
break;

default :
div('Вы: ' . $info['login']);
echo img('1.png') . "Золото: $info[gold] <br />
" . img('2.gif') . "Форт: ".win2utf($info[city])." <br />
" . img('11.gif') . "Корабль: <a href='?mod=my_ship'>".win2utf($info[ship])."</a> <br />";
if ( $swim == 1 ) {
div('Плавание');
$swim_info = mysql_fetch_array ( mysql_query ("SELECT * FROM `korsar_swim` WHERE `id_user` = '$info[id]' LIMIT 1"));

$time = f_time( $swim_info['time_end'] - time());

echo "Вы плывете в форт <b>".win2utf($swim_info[city])."</b>. <br />
Осталось <b>$time</b>.";

} elseif ( $karma == 1) {
div('Вы в розыске');
$time = f_time( $info['time_karma'] - time() );

echo "В форт вы сможите вернуться через $time";

} elseif ( $fishing == 1) {
div('На рыбалке');
$time = f_time( $fishing_info['time'] - time() );

echo "Вернетесь через $time <br />
<a href='?mod=fishing_cancel'>Вернуться в форт</a>";

} elseif ( $treasures == 1 )  {
div('Поиск сокровищ');
$time = f_time( $korsar_treasures_info['time'] - time() );

echo "Вернетесь через $time <br />
<a href='?mod=treasures_cancel'>Вернуться в форт</a>";

} else {
div('Здания:');
echo img('5.gif') . "<a href='?mod=sklad'>Склад</a> <br />
" . img('3.gif') . "<a href='?mod=port'>Гавань</a> <br />
" . img('15.gif') . "<a href='?mod=bank'>Банк</a> <br />
" . img('6.gif') . "<a href='?mod=tavern'>Таверна</a> <br />";
div('Действия:');
echo img('12.gif') . "<a href='?mod=ship'>На корабль</a> <br />";
}
div('Меню');
echo img('21.png') . "<a href='?mod=leaders'>Лидеры</a> <br />
" . img('8.gif') . "<a href='?mod=stat'>Статистика</a> <br />
" . img('9.gif') . "<a href='?mod=about_game'>Об игре</a> <br />
</div>";

if ( $user['level'] >= 4 ) div('<a href="korsar_a.php">Админка</a>');

break;
}
echo "<b><a href='games.php'>В игры</a></b><br />\n";

navig();
foot();
?>